# std::discard_block_engine::min

From cppreference.com
< cpp‎ | numeric‎ | random‎ | discard block engine

static constexpr result_type min(); |  | (since C++11)

Returns the minimum value potentially generated by the engine adaptor. This value is equal to e.min() where `e` is the underlying engine.

### Parameters

(none)

### Return value

The minimum potentially generated value.

### Complexity

Constant

### See also

max [static] | gets the largest possible value in the output range (public static member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/discard_block_engine/min&oldid=50919"